org.apache.storm.generated

## Class DistributedRPCInvocations.AsyncProcessor<I extends DistributedRPCInvocations.AsyncIface>

- java.lang.Object
- - org.apache.storm.thrift.TBaseAsyncProcessor<I>
  - - org.apache.storm.generated.DistributedRPCInvocations.AsyncProcessor<I>

- All Implemented Interfaces:
    org.apache.storm.thrift.TAsyncProcessor, org.apache.storm.thrift.TProcessor
  Enclosing class:
    DistributedRPCInvocations

      public static class DistributedRPCInvocations.AsyncProcessor<I extends DistributedRPCInvocations.AsyncIface>
      extends org.apache.storm.thrift.TBaseAsyncProcessor<I>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DistributedRPCInvocations.AsyncProcessor.failRequest<I extends DistributedRPCInvocations.AsyncIface>`
    `static class` | `DistributedRPCInvocations.AsyncProcessor.failRequestV2<I extends DistributedRPCInvocations.AsyncIface>`
    `static class` | `DistributedRPCInvocations.AsyncProcessor.fetchRequest<I extends DistributedRPCInvocations.AsyncIface>`
    `static class` | `DistributedRPCInvocations.AsyncProcessor.result<I extends DistributedRPCInvocations.AsyncIface>`

  - ### Field Summary

    - ### Fields inherited from class org.apache.storm.thrift.TBaseAsyncProcessor

      `LOGGER`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `AsyncProcessor(I iface)`
    `protected` | `AsyncProcessor(I iface, Map<String,org.apache.storm.thrift.AsyncProcessFunction<I,? extends org.apache.storm.thrift.TBase,?>> processMap)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.storm.thrift.TBaseAsyncProcessor

      `getProcessMapView, process, process`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AsyncProcessor

          public AsyncProcessor(I iface)

    - #### AsyncProcessor

          protected AsyncProcessor(I iface,
                                   Map<String,org.apache.storm.thrift.AsyncProcessFunction<I,? extends org.apache.storm.thrift.TBase,?>> processMap)

Copyright © 2021 The Apache Software Foundation. All rights reserved.